
onEvent('recipes', e => {

//crusher

function dropcrusher(ticks, block, item) {

e.recipes.custommachinery.custom_machine("custommachinery:crusher", ticks)


.produceItem(item)
.requireItem(block).chance(1.0)
.jei()
}

dropcrusher(100, "minecraft:cobblestone", "minecraft:gravel")
dropcrusher(100, "minecraft:gravel", "minecraft:sand")
dropcrusher(100, "kubejs:silt", "6x minecraft:dirt")
dropcrusher(120, "minecraft:sand", "minecraft:clay_ball")
dropcrusher(120, "dark_caverns:carfstone", "minecraft:andesite")

  })


onEvent('cm_upgrades', event => {
    event.create(Item.of('kubejs:luck_upgrade'), 1)
    .machine("custommachinery:crusher")
	//.tooltip('破碎机时运升级Mk1(40%2倍产物),速度提升20%')
	.mulInput('custommachinery:speed', 0.8)
    .mulOutput('custommachinery:item',2,0.4)
})
onEvent('cm_upgrades', event => {
    event.create(Item.of('kubejs:luck_upgrade_mk2'), 1)
    .machine("custommachinery:crusher")
	//.tooltip('破碎机时运升级Mk2(60%2倍产物)速度提升40%')
	.mulInput('custommachinery:speed', 0.6)
    .mulOutput('custommachinery:item',2,0.6)
})
onEvent('cm_upgrades', event => {
    event.create(Item.of('kubejs:luck_upgrade_mk3'), 1)
    .machine("custommachinery:crusher")
	//.tooltip('破碎机时运升级Mk3(100%2倍产物),速度提升60%')
	.mulInput('custommachinery:speed', 0.4)
    .mulOutput('custommachinery:item',2,1)
})